summaryrefslogtreecommitdiff
path: root/src/stage3/stage3.sh
diff options
context:
space:
mode:
authorAndreas Grapentin <andreas@grapentin.org>2018-02-26 21:54:25 +0100
committerAndreas Grapentin <andreas@grapentin.org>2018-02-26 21:54:25 +0100
commitb2217b6adc3ee98c2acfedf12a78eaab03609afa (patch)
treed138a25e6280bb90f96821bb0b5fa67cbcea8b9e /src/stage3/stage3.sh
parentd16db931987cff90075beb56f85d2fa38d9f864b (diff)
first successful librechroot creation
Diffstat (limited to 'src/stage3/stage3.sh')
-rwxr-xr-xsrc/stage3/stage3.sh40
1 files changed, 40 insertions, 0 deletions
diff --git a/src/stage3/stage3.sh b/src/stage3/stage3.sh
new file mode 100755
index 0000000..6b51e60
--- /dev/null
+++ b/src/stage3/stage3.sh
@@ -0,0 +1,40 @@
+#!/bin/bash
+ ##############################################################################
+ # parabola-riscv64-bootstrap #
+ # #
+ # Copyright (C) 2018 Andreas Grapentin #
+ # #
+ # This program is free software: you can redistribute it and/or modify #
+ # it under the terms of the GNU General Public License as published by #
+ # the Free Software Foundation, either version 3 of the License, or #
+ # (at your option) any later version. #
+ # #
+ # This program is distributed in the hope that it will be useful, #
+ # but WITHOUT ANY WARRANTY; without even the implied warranty of #
+ # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the #
+ # GNU General Public License for more details. #
+ # #
+ # You should have received a copy of the GNU General Public License #
+ # along with this program. If not, see <http://www.gnu.org/licenses/>. #
+ ##############################################################################
+
+set -euo pipefail
+
+msg "Entering Stage 3"
+
+# set a bunch of convenience variables
+_builddir="$topbuilddir"/stage3
+_srcdir="$topsrcdir"/stage3
+_chrootdir="$_builddir"/$CARCH-root
+_deptree="$_builddir"/DEPTREE
+_groups="base-devel"
+_pkgdest="$_builddir"/packages
+_logdest="$_builddir"/makepkglogs
+
+check_exe librechroot
+check_exe librelib
+check_exe libremakepkg
+
+# prepare for the build
+. "$_srcdir"/prepare_libretools.sh
+